#### D.15.14.26 integralSection

Procedure from library `multigrading.lib` (see multigrading_lib).

Purpose:
  for a given linear surjective map P of lattices
  this procedure returns an integral section of P.

Returns:
  intmat

Example:

    LIB "multigrading.lib";
    intmat P[2][4] =
    1,3,4,6,
    2,4,5,7;
    // should be a matrix with two columns
    // for example: [-2, 1, 0, 0], [3, -3, 0, 1]
    intmat U = integralSection(P);
    print(U);
    ==>     -1     1
    ==>     -2     1
    ==>      2    -1
    ==>      0     0
    print(P * U);
    ==>      1     0
    ==>      0     1
    kill U;

User manual for Singular version 4.4.1, 2025, generated by texi2html.